> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/nfc-wallet-sdk-android/es/additional-features/reset-the-nfc-wallet-sdk.md).

# Restablecer el SDK de NFC Wallet

## Resumen

Restablecer el SDK de NFC Wallet elimina todos los datos almacenados por el SDK en el dispositivo.

Esto incluye elementos gestionados por el SDK, como tarjetas digitales y credenciales de pago.

{% hint style="warning" %}
El restablecimiento es solo local. No llama a ninguna API del servidor. Cualquier token que ya exista en el lado del servidor no se elimina.

Después de reinicializar el SDK, el ID de la cartera cambia. Los tokens creados antes del restablecimiento pueden convertirse en tokens huérfanos en el lado del servidor. Pueden eliminarse cuando ejecuta la tokenización para una nueva tarjeta (en un proceso llamado **limpieza de tokens**).
{% endhint %}

Después de un restablecimiento, el SDK asigna un nuevo ID de cartera en la siguiente inicialización. Consulte [Recuperar el ID de la billetera](/nfc-wallet-sdk-android/es/get-started/configuration/4.-initialize-the-nfc-wallet-sdk.md#retrieving-the-wallet-id).

{% hint style="info" %}
Después de restablecer el SDK de NFC Wallet, ejecute [Inscribir cartera](/nfc-wallet-sdk-android/es/implement-nfc-wallet/enroll-wallet.md) antes de cualquier nueva tokenización.
{% endhint %}

## Integración del SDK

Llamar `SDKDataController.INSTANCE.wipeAll(appCcontext)` para eliminar todos los datos almacenados por el SDK de NFC Wallet.

```java
SDKDataController.INSTANCE.wipeAll(appContext);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/nfc-wallet-sdk-android/es/additional-features/reset-the-nfc-wallet-sdk.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
